Using Helpers with Docky 2.1.2

I know that since 2.1 docky has been able to use “helpers” for more control over programs from the dock. Now, I’ve only recently stating trying to use these, however… they don’t seem to be “running”. I’ve been trying to get Skype, Tranmission and MDC to work, but they all say that the current status is “stopped” and don’t seem to change when the appropriate program is running.

For instance, with Skype I should get a prompt from Skype asking about a program wanting access to it. i.e. Docky. However I didn’t get this message.

ref: How to control Skype from Docky - OMG! Ubuntu

I’m a little confused, I can’t see anything of the processes Docky’s helper manager would use, nor do I see a process for the helper manager, even though I have the helpers? Help?

I’ve had a go, and I can’t get the helpers to work either… as that OMG Ubuntu article is dated 27th March I’m going to guess this is something that got broke in Natty.

Put quite simply… Skype never displays the “Skype API Authorization Request” dialog. ???

Have you tried it in the GNOME desktop ? … docky does seem to install a lot of stuff that appears to be for the GNOME desktop.

OK, ‘sussed’ it

First you probably need Docky 2.1.4, so you may want to add the PPA:

sudo add-apt-repository ppa:docky-core/stable

Then update Docky:

sudo apt-get update && sudo apt-get upgrade

The “helpers” are python scripts, so you need to install the python-dockmanager package:

sudo apt-get install python-dockmanager

And reboot (logging off/on would probably have worked, restarting Docky would probably have worked, but I rebooted … some Windows habits die harder than most :wink: ).

Well I can’t seem to update docky, it says the repo doesn’t exist.

W: Failed to fetch http://ppa.launchpad.net/dockycore/stable/ubuntu/dists/natty/main/source/Sources 404 Not Found W: Failed to fetch http://ppa.launchpad.net/dockycore/stable/ubuntu/dists/natty/main/binary-amd64/Packages 404 Not Found

That should be docky-core not dockycore :slight_smile:

You’ll have to adjust the docky-core (Binary) PPA’s URL in Synaptic

Should be:

Type: Binary
URI: [b]http://ppa.launchpad.net/docky-core/stable/ubuntu[/b]
Distribution: natty
Components: main
Comment:

Also adjust the dockey-core (Source) PPA in Synaptic

Should be:

Type: Source
URI: [b]http://ppa.launchpad.net/docky-core/stable/ubuntu[/b]
Distribution: natty
Components: main
Comment:

It was “docky-core” I put in terminal… :o Weird… I’ll go sort it just now. :slight_smile:

EDIT: Ah! Works now. Cheers Mark!

No problem :slight_smile: